Loading...
Searching...
No Matches
OpenAiRestClient::OpenAiRestConnection Class Reference

Class for OpenAi REST connections; returns OpenAiRestClient objects. More...

## Public Member Functions

| constructor (hash< auto > config, *hash< auto > attr)
| creates the OpenAiRestConnection object
| constructor (string name, string description, string url=DefaultUrl, hash< auto > attributes={}, hash< auto > options={})
| creates the OpenAiRestConnection object
DataProvider::AbstractDataProvider | getDataProvider (*hash< auto > constructor_options)
| returns a data provider object for this connection
string | getType ()
| returns `"openai"`
bool | hasDataProvider ()
| returns True as this connection returns a data provider with the getDataProvider() method

## Public Attributes

const | ConnectionScheme = ...
| Connection entry info.
const | DefaultPingHeaders = ...
| Default OpenAi ping headers.
const | DefaultPingMethod = "GET"
| Default OpenAi ping method.
const | DefaultPingPath = "models"
| Default OpenAi ping path.
const | DefaultUrl = "openai://api.openai.com"
| Default OpenAi REST API URL.

## Protected Member Functions

hash< ConnectionSchemeInfo > | getConnectionSchemeInfoImpl ()
| Returns the ConnectionSchemeInfo hash for this object.
OpenAiRestClient | getImpl (bool connect=True, *hash< auto > rtopts)
| returns a OpenAiRestClient object
| setChildCapabilities ()
| Sets child data provider capabilities.

## Detailed Description

Class for OpenAi REST connections; returns OpenAiRestClient objects.

This class implements all options of RestClientConnection

See also
  OpenAiRestClient::OpenAiRestClient::constructor() for more information on the above options

## Member Function Documentation

## constructor() [1/2]

OpenAiRestClient::OpenAiRestConnection::constructor | ( | hash< auto > | config,
|  | *hash< auto > | attr )

creates the OpenAiRestConnection object

Parameters

  config

  with the following keys:
  - name (required string): the connection name
  - display_name (optional string): the display name
  - short_desc (optional string): a short description in plain text
  - desc (optional string): a long description with markdown formatting
  - url (required string): the connection URL
  - opts (optional hash): connection options
  - logger (optional LoggerInterface object): logger for the connection

  attr

  optional connection attributes
  - monitor (optional bool): should the connection be monitored? Default: True
  - enabled (optional bool): is the connection enabled? Default: True
  - locked (optional bool): is the connection locked? Default: False
  - debug_data (optional bool): debug data? Default: False
  - tags (optional hash): tags for the connection; no default value

Exceptions

  CONNECTION-OPTION-ERROR | missing or invalid connection option or attribute

## constructor() [2/2]

OpenAiRestClient::OpenAiRestConnection::constructor | ( | string | name,
|  | string | description,
|  | string | url = DefaultUrl,
|  | hash< auto > | attributes = {},
|  | hash< auto > | options = {} )

creates the OpenAiRestConnection object

Parameters

  name | the name of the connection
  description | connection description
  url | connection URL (potentially with password info)
  attributes | various attributes. See below
  options | connection options

See ConnectionProvider::AbstractConnection::constructor() for `attributes` and `options` reference.

Exceptions

  CONNECTION-OPTION-ERROR | missing or invalid connection option

## getDataProvider()

DataProvider::AbstractDataProvider OpenAiRestClient::OpenAiRestConnection::getDataProvider | ( | *hash< auto > | constructor_options | ) |

returns a data provider object for this connection

Parameters

  constructor_options | any additional constructor options for the data provider

Returns
  a data provider object for this connection

## getImpl()

OpenAiRestClient OpenAiRestClient::OpenAiRestConnection::getImpl | ( | bool | connect = True,
|  | *hash< auto > | rtopts )

protected

returns a OpenAiRestClient object

Parameters

  connect | if True, then the connection is returned already connected
  rtopts | this connection type does not accept any runtime options, so this parameter is ignored

Returns
  a OpenAiRestClient object

## hasDataProvider()

bool OpenAiRestClient::OpenAiRestConnection::hasDataProvider | ( |  | ) |

returns True as this connection returns a data provider with the getDataProvider() method

Returns
  True as this connection returns a data provider with the getDataProvider() method

See also
  getDataProvider()